Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.shrinkwrap.descriptor.gen
Class TestDescriptorImpl

    java.lang.Object
      org.jboss.shrinkwrap.descriptor.spi.DescriptorImplBase
          org.jboss.shrinkwrap.descriptor.spi.NodeProviderImplBase
              org.jboss.shrinkwrap.descriptor.gen.TestDescriptorImpl

All Implemented Interfaces:
  org.jboss.shrinkwrap.descriptor.api.Descriptor, org.jboss.shrinkwrap.descriptor.spi.NodeProvider

    public class TestDescriptorImpl

extends org.jboss.shrinkwrap.descriptor.spi.NodeProviderImplBase

Constructor Summary
`TestDescriptorImpl(java.lang.String descriptorName)`
`TestDescriptorImpl(java.lang.String descriptorName, org.jboss.shrinkwrap.descriptor.spi.Node node)`

Method Summary
`org.jboss.shrinkwrap.descriptor.spi.Node` | `getRootNode()`
`static void` | `testNullArgs(java.lang.Object obj)`

Methods inherited from class org.jboss.shrinkwrap.descriptor.spi.NodeProviderImplBase
`exportAsString, exportTo`

Methods inherited from class org.jboss.shrinkwrap.descriptor.spi.DescriptorImplBase
`getDescriptorName`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.jboss.shrinkwrap.descriptor.api.Descriptor
`getDescriptorName`

Constructor Detail

### TestDescriptorImpl

    public TestDescriptorImpl(java.lang.String descriptorName)

### TestDescriptorImpl

    public TestDescriptorImpl(java.lang.String descriptorName,
                              org.jboss.shrinkwrap.descriptor.spi.Node node)

Method Detail

### getRootNode

    public org.jboss.shrinkwrap.descriptor.spi.Node getRootNode()

### testNullArgs

    public static void testNullArgs(java.lang.Object obj)
                             throws java.lang.Exception

  Throws:
    `java.lang.Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD